﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //initially bind the grid to an empty table
        WebDataGrid1.DataSource = emptyDataTable();
    }

    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Name");
        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }

    protected DataTable emptyDataTable()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Name");
        return dt;
    }

    //upon button click re-bind the grid to a table with records and enable paging
    protected void Button1_Click1(object sender, EventArgs e)
    {

        WebDataGrid1.DataSource = populateGrid();
        WebDataGrid1.DataBind();

        //re-enable paging server-side
        //WebDataGrid1.Behaviors.Paging.Enabled = true;
    }
}